• 文字サイズ変更
  • S
  • M
  • L
  • No : 4298
  • 公開日時 : 2016/11/16 16:48
  • 更新日時 : 2020/02/21 10:06
  • 印刷

yum が使えなくなりました。どのようにすればいいですか?

回答

『考えられる原因1』
グローバル側の通信は可能でしょうか。
以下のオプション/機能をご利用の場合はお客様にてリポジトリサーバー参照先を変更いただく必要がございます。
・グローバル側NICを利用しない。
 
なお、Red Hat Enterprise Linux(RHEL)はニフクラの用意したリポジトリにのみ参照ができます。
参照先を変更することはできません。
 
▽対処方法1
グローバルIPアドレスを設定してください。
 
『考えられる原因2』
yumを実行するのに必要なポートがファイアウォールで閉じている可能性があります。
CentOSおよびUbuntuにおいて、yumやapt-get等を使用してリポジトリにアクセスする場合、
グローバルIPを経由したインターネット通信が必要となります。
 
▽対処方法2
yumを実行する際、ファイアウォールのOUTルールをサーバーで適用されている場合、
以下のポートを開放させる必要があります。
※INルールのみ適用されている場合は関係ございません。
 
【開放が必要なポート】
80/tcp
443/tcp
53/udp
 
『考えられる原因3』
サブスクリプション付のRed Hat Enterprise Linux(RHEL)バージョン5およびバージョン6を作成し、
Red Hat Subscription Management(RHSM)へ登録した場合、yumが使えなくなります。
サブスクリプション付のRHELはRHSMへ登録いただくことはできません。
なお、「subscription-manager register」コマンドを対象サーバー上で実行された場合は、
Red Hat Update Infrastructure(RHUI)のリポジトリサーバーにyumでアクセスできなくなり、
パッケージの取得ができなくなる場合がございます。
 
▽対処方法3
下記、対処方法をご参照ください。
『考えられる原因4』
ニフクラから提供するサブスクリプションのリポジトリは常に最新版のリポジトリのみを提供しており、
バージョンを指定した yum update ができません。
 
▽対処方法4
下記、対処方法をご参照ください。
 
 
 
※外部サイトのため、リンク切れの際はご容赦ください。